Bug 1005893 - The xulrunner required version of nspr cannot be found
Summary: The xulrunner required version of nspr cannot be found
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nspr
Version: 7.0
Hardware: Unspecified
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Elio Maldonado Batiz
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On: 981166
Blocks: 978782
TreeView+ depends on / blocked
 
Reported: 2013-09-09 15:40 UTC by Elio Maldonado Batiz
Modified: 2013-10-31 11:11 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 981166
Environment:
Last Closed: 2013-10-31 11:11:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Elio Maldonado Batiz 2013-09-09 15:40:42 UTC
+++ This bug was initially created as a clone of Bug #981166 +++

Description of problem:
When trying to upgrade with yum, it says xulrunner requires the nspr >= 4.10.0 version, while the versions are currently written like nspr-4.10-2. So my installed version is not detected.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. yum update
2.
3.

Actual results:
(...)
Erreur : Paquet : xulrunner-22.0-4.fc19.x86_64 (updates-testing)
             Requiert : nspr >= 4.10.0
             Installé  : nspr-4.10-2.fc19.i686 (@updates)
                 nspr = 4.10-2.fc19
             Disponible : nspr-4.9.6-1.fc19.i686 (fedora)
                 nspr = 4.9.6-1.fc19
 Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
 Vous pouvez essayer d'exécuter : rpm -Va --nofiles --nodigest


Expected results:
Installation going on.

Additional info:
Just modifying the xulrunner-22.0-4.fc19.x86_64 package SPEC file currently in updates-testing should do it.

--- Additional comment from Thomas Citharel on 2013-07-04 03:40:00 EDT ---



--- Additional comment from Jan Horak on 2013-07-04 03:42:15 EDT ---

Elio, can you please look into it? It seems we're hitting the same problem with nspr vs nspr pkgconfig version mismatch like in rawhide. Thanks.

--- Additional comment from Elio Maldonado Batiz on 2013-07-04 11:53:56 EDT ---

Yes, this is the same problem as we faced in Rawhide and the same fix applies.

Here is a slightly edited copy of the good explanation Kai provided to our collegues upstream:

The issue is related to pkg-config, which reads our config/nspr.pc file.

The file has a line: 
Version: @MOD_MAJOR_VERSION@.@MOD_MINOR_VERSION@.@MOD_PATCH_VERSION@

so the pkg-config system always includes the "patch" version number,
even if it's zero.

Because our build automation uses rules based on the reported version number,
our system package versions follow the versions shown in the tar archive. 
Because the tar archive excludes the patch version, that  resulted in a 
package version without the patch version, which resulted in an unsatisfied lookup, 
if software looks for the version reported by pkg-config.

tar archive: nspr-4.10
package version: nspr-4.10
dependency resolver: looking for nspr-4.10.0

because nspr-4.10 < nspr.4.10.0, the dependency resolution failed.

From this update onwards we include the patch version number in the
package version number. Instead of nspr-4.10 we do nspr-4.10.0
The release tarballs now match the officially used version number.

--- Additional comment from Fedora Update System on 2013-07-04 12:11:58 EDT ---

nspr-4.10.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nspr-4.10.0-3.fc19

--- Additional comment from Fedora Update System on 2013-07-04 13:08:37 EDT ---

nspr-4.10.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nspr-4.10.0-3.fc18

--- Additional comment from Fedora Update System on 2013-07-04 13:10:42 EDT ---

nspr-4.10.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nspr-4.10.0-3.fc17

--- Additional comment from Fedora Update System on 2013-07-04 22:11:48 EDT ---

Package nspr-4.10.0-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nspr-4.10.0-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12367/nspr-4.10.0-3.fc18
then log in and leave karma (feedback).

--- Additional comment from Fedora Update System on 2013-07-06 21:37:40 EDT ---

nspr-4.10.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from Fedora Update System on 2013-07-15 21:28:17 EDT ---

nspr-4.10.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from Fedora Update System on 2013-07-22 21:04:59 EDT ---

nspr-4.10.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.